Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class OVMRole

`java.lang.Object
oracle.ovs.api.datamodel.OVMRole`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OVMRoleConfig

      public class OVMRole

extends java.lang.Object
implements java.io.Serializable

OVMRole definition

See Also:
  Serialized Form

Constructor Summary
`OVMRole()`

Method Summary
`java.lang.String` | `getDescription()` description
`java.lang.Long` | `getRole_id()` roleId
`java.lang.String` | `getRole_name()` roleName
`java.lang.String` | `getStatus()` get status
`void` | `setDescription(java.lang.String description)` description
`void` | `setRole_id(java.lang.Long role_id)` roleId
`void` | `setRole_name(java.lang.String role_name)` name of role
`void` | `setStatus(java.lang.String status)` status,should be unlock or locked

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OVMRole

    public OVMRole()

Method Detail

### setRole_id

    public void setRole_id(java.lang.Long role_id)

  roleId
  Parameters:
    `role_id` -

### getRole_id

    public java.lang.Long getRole_id()

  roleId
  Returns:

### setStatus

    public void setStatus(java.lang.String status)

  status,should be unlock or locked
  Parameters:
    `status` -

### getStatus

    public java.lang.String getStatus()

  get status
  Returns:

### setDescription

    public void setDescription(java.lang.String description)

  description
  Parameters:
    `description` -

### getDescription

    public java.lang.String getDescription()

  description
  Returns:
    String

### setRole_name

    public void setRole_name(java.lang.String role_name)

  name of role
  Parameters:
    `role_name` -

### getRole_name

    public java.lang.String getRole_name()

  roleName
  Returns:

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.